<template>
  <section class="AppRecommendations">
    <header class="AppRecommendations-header">
      <h3 class="heading _h3">
        <flink
          v-if="url"
          :href="url"
          class="link"
          @click.native="$ym('recommendation_block_open')">
          {{ heading }}
        </flink>
        <span v-else>{{ heading }}</span>
      </h3>
    </header>
    <div class="AppRecommendations-list">
      <Carousel
        :items-to-show="4"
        :items-to-slide="1"
        :infinite-scroll="true"
        :entities="recommendations"
        :controls-class="'_circle'">
        <AppCardOffer
          :entity="entity"
          slot="entity"
          slot-scope="{ entity }"/>
        <img
          slot="prev"
          svg-inline
          src="~/assets/svg/redesign/select-arrow-down.svg">
        <img
          slot="next"
          svg-inline
          src="~/assets/svg/redesign/select-arrow-down.svg">
      </Carousel>
    </div>
  </section>
</template>

<script>
import AppCardOffer from '~/components/redesign/app-card/app-card-offer';
import Carousel from '~/components/redesign/carousel';

export default {
  name: 'AppRecommendations',
  components: {
    AppCardOffer,
    Carousel,
  },
  props: {
    url: {
      type: String,
      default: '',
    },
    heading: {
      type: String,
      default: '',
    },
    recommendations: {
      type: Array,
      default() { return []; },
    },
  },
};
</script>

<style lang="postcss">
  .AppRecommendations {
    padding-top: 2.375rem;

    &-header {
      padding-bottom: 1.25rem;
    }

    &-list {
      .carousel {
        margin: 0 -0.625rem;

        .hooper-liveregion {
          display: none;
        }
      }
    }

    @media screen and (max-width: 980px) {
      display: none;
    }
  }
</style>
